%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Base.pm) perl(ExtUtils/MakeMaker.pm) perl(NEXT.pm) perl(Path/Class.pm) perl(Test/More.pm) perl(UNIVERSAL.pm) perl(YAML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Catalyst-Plugin-Config-YAML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Configure your Catalyst application via an 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BA/BAUERB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This Catalyst plugin enables you to configure your Catalyst application with an 
external YAML file instead of somewhere in your application code.

This is useful for example if you want to quickly change the configuration for 
different deployment environments (like development, testing or production) 
without changing your code.

The configuration file is assumed to be in your application home. Its name can 
be specified with the config parameter `config_file' (default is 
config.yml).

The config parameter `config_file' can also be an array of locations (relative 
or absolute), each found file will be loaded in order.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

